import sublime
import sublime_plugin

class CurrentPathStatusCommand(sublime_plugin.EventListener):
		def on_activated(self, view):
				filename = view.file_name()
				if filename:
					encode=view.encoding()
					encode=""+view.encoding()+""
					view.set_status('zPath',  "Poseidon - Standard Edition 0.66 <> "+encode+" <> POS ")
				else:
					view.set_status('zPath',  "Poseidon - Standard Edition 0.66 <> POS ")